<?xml version="1.0" encoding="utf-8"?>
<linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.xbrl.org/2003/linkbase">
  <labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="asosplc-2025-08-31.xsd#asosplc_ConsolidatedIncomeStatementAxis" xlink:label="asosplc_ConsolidatedIncomeStatementAxis" />
    <loc xlink:type="locator" xlink:href="asosplc-2025-08-31.xsd#asosplc_AdjustedMember" xlink:label="asosplc_AdjustedMember" />
    <loc xlink:type="locator" xlink:href="asosplc-2025-08-31.xsd#asosplc_AdjustingItemsMember" xlink:label="asosplc_AdjustingItemsMember" />
    <loc xlink:type="locator" xlink:href="asosplc-2025-08-31.xsd#asosplc_TotalMember" xlink:label="asosplc_TotalMember" />
    <loc xlink:type="locator" xlink:href="asosplc-2025-08-31.xsd#asosplc_ProfitOrLossTable" xlink:label="asosplc_ProfitOrLossTable" />
    <loc xlink:type="locator" xlink:href="asosplc-2025-08-31.xsd#asosplc_ProfitOrLossLineItems" xlink:label="asosplc_ProfitOrLossLineItems" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_GrossProfit" xlink:label="ifrs-full_GrossProfit" />
    <loc xlink:type="locator" xlink:href="asosplc-2025-08-31.xsd#asosplc_NetFairValueLossesGainsOnCashFlowHedgesThatWillNotSubsequentlyReclassifyToIncomeStatement" xlink:label="asosplc_NetFairValueLossesGainsOnCashFlowHedgesThatWillNotSubsequentlyReclassifyToIncomeStatement" />
    <loc xlink:type="locator" xlink:href="asosplc-2025-08-31.xsd#asosplc_NetFairValueGainsLossesOnCashFlowHedgesThatMayBeSubsequentlyReclassifiedToTheIncomeStatement" xlink:label="asosplc_NetFairValueGainsLossesOnCashFlowHedgesThatMayBeSubsequentlyReclassifiedToTheIncomeStatement" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentAssetsLiabilities" xlink:label="ifrs-full_CurrentAssetsLiabilities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NetAssetsLiabilities" xlink:label="ifrs-full_NetAssetsLiabilities" />
    <loc xlink:type="locator" xlink:href="asosplc-2025-08-31.xsd#asosplc_CashFlowHedgesGainsAndLossesTransferredToInventory" xlink:label="asosplc_CashFlowHedgesGainsAndLossesTransferredToInventory" />
    <loc xlink:type="locator" xlink:href="asosplc-2025-08-31.xsd#asosplc_AdjustmentsForShareOfAssociatesNetProfitLoss" xlink:label="asosplc_AdjustmentsForShareOfAssociatesNetProfitLoss" />
    <loc xlink:type="locator" xlink:href="asosplc-2025-08-31.xsd#asosplc_AdjustmentsForGainOnDisposalOfBrands" xlink:label="asosplc_AdjustmentsForGainOnDisposalOfBrands" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInOperations" xlink:label="ifrs-full_CashFlowsFromUsedInOperations" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInOperatingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInInvestingActivities" />
    <loc xlink:type="locator" xlink:href="asosplc-2025-08-31.xsd#asosplc_RefinancingFeesClassifiedAsFinancingActivities" xlink:label="asosplc_RefinancingFeesClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInFinancingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:label="ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" />
    <loc xlink:type="locator" xlink:href="asosplc-2025-08-31.xsd#asosplc_DescriptionOfAccountingPolicyForClimateChangeWithinTheFinancialStatements" xlink:label="asosplc_DescriptionOfAccountingPolicyForClimateChangeWithinTheFinancialStatements" />
    <loc xlink:type="locator" xlink:href="asosplc-2025-08-31.xsd#asosplc_DescriptionOfAccountingPolicyForAlternativePerformanceMeasures" xlink:label="asosplc_DescriptionOfAccountingPolicyForAlternativePerformanceMeasures" />
    <loc xlink:type="locator" xlink:href="asosplc-2025-08-31.xsd#asosplc_DisclosureOfAdjustingItems" xlink:label="asosplc_DisclosureOfAdjustingItems" />
    <loc xlink:type="locator" xlink:href="asosplc-2025-08-31.xsd#asosplc_DescriptionOfAccountingPolicyForShareCapitalSharePremiumAndOtherReserves" xlink:label="asosplc_DescriptionOfAccountingPolicyForShareCapitalSharePremiumAndOtherReserves" />
    <labelArc xlink:type="arc" xlink:from="asosplc_ConsolidatedIncomeStatementAxis" xlink:to="label_asosplc_ConsolidatedIncomeStatementAxis" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="asosplc_AdjustedMember" xlink:to="label_asosplc_AdjustedMember" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="asosplc_AdjustingItemsMember" xlink:to="label_asosplc_AdjustingItemsMember" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="asosplc_TotalMember" xlink:to="label_asosplc_TotalMember" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="asosplc_ProfitOrLossTable" xlink:to="label_asosplc_ProfitOrLossTable" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="asosplc_ProfitOrLossLineItems" xlink:to="label_ProfitOrLossLineItems" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_GrossProfit" xlink:to="label_asosplc_ifrs-fullGrossProfit_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="asosplc_NetFairValueLossesGainsOnCashFlowHedgesThatWillNotSubsequentlyReclassifyToIncomeStatement" xlink:to="label_asosplc_asosplcNetFairValueLossesGainsOnCashFlowHedgesThatWillNotSubsequentlyReclassifyToIncomeStatement_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="asosplc_NetFairValueGainsLossesOnCashFlowHedgesThatMayBeSubsequentlyReclassifiedToTheIncomeStatement" xlink:to="label_asosplc_asosplcNetFairValueGainsLossesOnCashFlowHedgesThatMayBeSubsequentlyReclassifiedToTheIncomeStatement_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CurrentAssetsLiabilities" xlink:to="label_asosplc_ifrs-fullCurrentAssetsLiabilities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_NetAssetsLiabilities" xlink:to="label_asosplc_ifrs-fullNetAssetsLiabilities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="asosplc_CashFlowHedgesGainsAndLossesTransferredToInventory" xlink:to="label_asosplc_asosplcCashFlowHedgesGainsAndLossesTransferredToInventory_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="asosplc_AdjustmentsForShareOfAssociatesNetProfitLoss" xlink:to="label_asosplc_asosplcAdjustmentsForShareOfAssociatesNetProfitLoss_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="asosplc_AdjustmentsForGainOnDisposalOfBrands" xlink:to="label_asosplc_asosplcAdjustmentsForGainOnDisposalOfBrands_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInOperations" xlink:to="label_asosplc_ifrs-fullCashFlowsFromUsedInOperations_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="label_asosplc_ifrs-fullCashFlowsFromUsedInOperatingActivities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="label_asosplc_ifrs-fullCashFlowsFromUsedInInvestingActivities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="asosplc_RefinancingFeesClassifiedAsFinancingActivities" xlink:to="label_asosplc_asosplcRefinancingFeesClassifiedAsFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="label_asosplc_ifrs-fullCashFlowsFromUsedInFinancingActivities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:to="label_asosplc_ifrs-fullIncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="asosplc_DescriptionOfAccountingPolicyForClimateChangeWithinTheFinancialStatements" xlink:to="label_asosplc_asosplcDescriptionOfAccountingPolicyForClimateChangeWithinTheFinancialStatements_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="asosplc_DescriptionOfAccountingPolicyForAlternativePerformanceMeasures" xlink:to="label_asosplc_asosplcDescriptionOfAccountingPolicyForAlternativePerformanceMeasures_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="asosplc_DisclosureOfAdjustingItems" xlink:to="label_asosplc_asosplcDisclosureOfAdjustingItems_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="asosplc_DescriptionOfAccountingPolicyForShareCapitalSharePremiumAndOtherReserves" xlink:to="label_asosplc_asosplcDescriptionOfAccountingPolicyForShareCapitalSharePremiumAndOtherReserves_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <label xlink:label="label_asosplc_ConsolidatedIncomeStatementAxis" id="asosplc_ConsolidatedIncomeStatementAxis" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Consolidated income statement [axis]</label>
    <label xlink:label="label_asosplc_AdjustedMember" id="asosplc_AdjustedMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjusted [member]</label>
    <label xlink:label="label_asosplc_AdjustingItemsMember" id="asosplc_AdjustingItemsMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjusting items [member]</label>
    <label xlink:label="label_asosplc_TotalMember" id="asosplc_TotalMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Total [member] </label>
    <label xlink:label="label_asosplc_ProfitOrLossTable" id="asosplc_ProfitOrLossTable" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Profit or loss [table]</label>
    <label xlink:label="label_ProfitOrLossLineItems" id="ProfitOrLossLineItems" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Profit or loss [line items]</label>
    <label xlink:label="label_asosplc_ifrs-fullGrossProfit_Total" id="asosplc_ifrs-fullGrossProfit_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Gross profit</label>
    <label xlink:label="label_asosplc_asosplcNetFairValueLossesGainsOnCashFlowHedgesThatWillNotSubsequentlyReclassifyToIncomeStatement_Standard" id="asosplc_asosplcNetFairValueLossesGainsOnCashFlowHedgesThatWillNotSubsequentlyReclassifyToIncomeStatement_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Net fair value (losses)/gains on cash flow hedges that will not subsequently reclassify to income statement</label>
    <label xlink:label="label_asosplc_asosplcNetFairValueGainsLossesOnCashFlowHedgesThatMayBeSubsequentlyReclassifiedToTheIncomeStatement_Standard" id="asosplc_asosplcNetFairValueGainsLossesOnCashFlowHedgesThatMayBeSubsequentlyReclassifiedToTheIncomeStatement_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Net fair value gains/(losses) on cash flow hedges that may be subsequently reclassified to the income statement</label>
    <label xlink:label="label_asosplc_ifrs-fullCurrentAssetsLiabilities_Total" id="asosplc_ifrs-fullCurrentAssetsLiabilities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Net current assets</label>
    <label xlink:label="label_asosplc_ifrs-fullNetAssetsLiabilities_Total" id="asosplc_ifrs-fullNetAssetsLiabilities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Net assets</label>
    <label xlink:label="label_asosplc_asosplcCashFlowHedgesGainsAndLossesTransferredToInventory_Standard" id="asosplc_asosplcCashFlowHedgesGainsAndLossesTransferredToInventory_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Cash ﬂow hedges gains and losses transferred to inventory</label>
    <label xlink:label="label_asosplc_asosplcAdjustmentsForShareOfAssociatesNetProfitLoss_Standard" id="asosplc_asosplcAdjustmentsForShareOfAssociatesNetProfitLoss_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjustments for share of associate’s net profit/loss</label>
    <label xlink:label="label_asosplc_asosplcAdjustmentsForGainOnDisposalOfBrands_Standard" id="asosplc_asosplcAdjustmentsForGainOnDisposalOfBrands_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjustments for gain on disposal of brands</label>
    <label xlink:label="label_asosplc_ifrs-fullCashFlowsFromUsedInOperations_Total" id="asosplc_ifrs-fullCashFlowsFromUsedInOperations_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Cash used in operating activities</label>
    <label xlink:label="label_asosplc_ifrs-fullCashFlowsFromUsedInOperatingActivities_Total" id="asosplc_ifrs-fullCashFlowsFromUsedInOperatingActivities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Net cash generated from/(used in) operating activities</label>
    <label xlink:label="label_asosplc_ifrs-fullCashFlowsFromUsedInInvestingActivities_Total" id="asosplc_ifrs-fullCashFlowsFromUsedInInvestingActivities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Net cash used in investing activities</label>
    <label xlink:label="label_asosplc_asosplcRefinancingFeesClassifiedAsFinancingActivities_Standard" id="asosplc_asosplcRefinancingFeesClassifiedAsFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Refinancing fees classified as financing activities</label>
    <label xlink:label="label_asosplc_ifrs-fullCashFlowsFromUsedInFinancingActivities_Total" id="asosplc_ifrs-fullCashFlowsFromUsedInFinancingActivities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Net cash (used in)/generated from ﬁnancing activities</label>
    <label xlink:label="label_asosplc_ifrs-fullIncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_Total" id="asosplc_ifrs-fullIncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Net (decrease)/increase in cash and cash equivalents</label>
    <label xlink:label="label_asosplc_asosplcDescriptionOfAccountingPolicyForClimateChangeWithinTheFinancialStatements_Standard" id="asosplc_asosplcDescriptionOfAccountingPolicyForClimateChangeWithinTheFinancialStatements_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Description of accounting policy for climate change within the financial statements</label>
    <label xlink:label="label_asosplc_asosplcDescriptionOfAccountingPolicyForAlternativePerformanceMeasures_Standard" id="asosplc_asosplcDescriptionOfAccountingPolicyForAlternativePerformanceMeasures_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Description of accounting policy for alternative performance measures</label>
    <label xlink:label="label_asosplc_asosplcDisclosureOfAdjustingItems_Standard" id="asosplc_asosplcDisclosureOfAdjustingItems_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Disclosure of adjusting items</label>
    <label xlink:label="label_asosplc_asosplcDescriptionOfAccountingPolicyForShareCapitalSharePremiumAndOtherReserves_Standard" id="asosplc_asosplcDescriptionOfAccountingPolicyForShareCapitalSharePremiumAndOtherReserves_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Description of accounting policy for share capital, share premium and other reserves</label>
  </labelLink>
</linkbase>